Canvas5Structure::Stream Struct Reference documentation

Public Member Functions | Protected Attributes | List of all members
Canvas5Structure::Stream Struct Reference

a sub stream of Canvas5Structure More...

`#include <Canvas5Structure.hxx>`

## Public Member Functions
| Stream (MWAWInputStreamPtr input)
| constructor More...
| Stream (MWAWInputStreamPtr input, libmwaw::DebugFile &ascii)
| constructor from input and ascii file More...
MWAWInputStreamPtr | input ()
| returns the input file More...
libmwaw::DebugFile & | ascii ()
| return the ascii file More...

## Protected Attributes
MWAWInputStreamPtr | m_input
| the input file More...
libmwaw::DebugFile & | m_ascii
| the ascii file More...
libmwaw::DebugFile | m_asciiFile
| the ascii file More...

## Detailed Description

a sub stream of Canvas5Structure

## Constructor & Destructor Documentation

## ◆ Stream() [1/2]

Canvas5Structure::Stream::Stream | ( | MWAWInputStreamPtr | input | ) |
| inlineexplicit

constructor

## ◆ Stream() [2/2]

Canvas5Structure::Stream::Stream | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | ascii
| ) |  |
| inline

constructor from input and ascii file

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile & Canvas5Structure::Stream::ascii | ( |  | ) |
| inline

return the ascii file

Referenced by Canvas5Parser::checkTAG9(), Canvas5Structure::readBitmap(), Canvas5Structure::readBitmapDAD58Bim(), Canvas5StyleManager::readCharStyle(), Canvas5StyleManager::readDash(), Canvas5Parser::readDefined(), Canvas5Parser::readFileDesc(), Canvas5BMParser::readFileHeader(), Canvas5StyleManager::readPenStyle(), Canvas5Parser::readPicture(), Canvas5Parser::readPnot(), Canvas5Structure::readPreview(), Canvas5Parser::readPrinterRsrc(), Canvas5Image::readQkTmRsrc(), Canvas5Graph::readShapes(), Canvas5Parser::readSI200(), and Canvas5Parser::readUsed().

## ◆ input()

MWAWInputStreamPtr Canvas5Structure::Stream::input | ( |  | ) |
| inline

returns the input file

Referenced by Canvas5Parser::checkTAG9(), Canvas5Parser::getTAG9(), Canvas5Structure::readBitmap(), Canvas5Structure::readBitmapDAD58Bim(), Canvas5StyleManager::readCharStyle(), Canvas5StyleManager::readColor(), Canvas5StyleManager::readDash(), Canvas5Parser::readDataHeader(), Canvas5Parser::readDefined(), Canvas5Parser::readDouble(), Canvas5Parser::readFileDesc(), Canvas5BMParser::readFileHeader(), Canvas5Parser::readInteger(), Canvas5Parser::readItemHeader9(), Canvas5Image::readMacroIndent(), Canvas5StyleManager::readPenStyle(), Canvas5Parser::readPicture(), Canvas5Parser::readPnot(), Canvas5Structure::readPreview(), Canvas5Parser::readPrinterRsrc(), Canvas5Image::readQkTmRsrc(), Canvas5Graph::readShapes(), Canvas5Parser::readSI200(), Canvas5Parser::readString(), Canvas5Parser::readUsed(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), and Canvas5Graph::sendTechnical().

## Member Data Documentation

## ◆ m_ascii

libmwaw::DebugFile& Canvas5Structure::Stream::m_ascii
| protected

the ascii file

Referenced by ascii().

## ◆ m_asciiFile

libmwaw::DebugFile Canvas5Structure::Stream::m_asciiFile
| protected

the ascii file

## ◆ m_input

MWAWInputStreamPtr Canvas5Structure::Stream::m_input
| protected

the input file

Referenced by input().

The documentation for this struct was generated from the following file:

- Canvas5Structure.hxx